Skip to main content
POST
Transfer a unit

Authorizations

Authorization
string
header
required

Use Authorization: Bearer end_sess_* for V2 browser session tokens (e.g. end_sess_ZW5kc3RhdGUtZXhhbXBsZS1zZXNzaW9uLXRva2VuAAA).

Headers

Idempotency-Key
string

Unique key that makes this request safe to retry. Replaying the key with the same body returns the original response with Idempotent-Replayed: true; replaying it with a different body returns 409 idempotency.key_conflict.

Required string length: 1 - 255
Example:

"a1b2c3d4-0000-4000-8000-000000000000"

Path Parameters

unit_id
string<uuid>
required

Body

application/json
to
string
required

Address that will receive the unit.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

Response

The created transfer.

id
string<uuid>
required
unit_id
string<uuid>
required
to
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
from
string
required
Pattern: ^0x[a-fA-F0-9]{40}$
status
enum<string>
required
Available options:
prepared,
confirmed,
expired,
failed
created_at
string
required
transaction
object | null

Payload the unit's current owner submits to complete the transfer. Returned when the transfer is created.